VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
UnitInfo Struct Reference

Basic Unit Description. More...

`#include <ivstunits.h>`

## Public Attributes
UnitID | id
| unit identifier
UnitID | parentUnitId
| identifier of parent unit (kNoParentUnitId: does not apply, this unit is the root)
String128 | name
| name, optional for the root component, required otherwise
ProgramListID | programListId
| id of program list used in unit (kNoProgramListId = no programs used in this unit)

## Detailed Description

Basic Unit Description.

See Also
  IUnitInfo

## Member Data Documentation

UnitID id

unit identifier

UnitID parentUnitId

identifier of parent unit (kNoParentUnitId: does not apply, this unit is the root)

String128 name

name, optional for the root component, required otherwise

ProgramListID programListId

id of program list used in unit (kNoProgramListId = no programs used in this unit)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.